#include "StdAfx.h"
#include "MessengerActor.h"
#include "CommonType_Private.h"
#include "BuddyGroup.h"
#include "UtilFunction.h"

CBuddyGroup::CBuddyGroup(CMessengerActor *pMessengerActor) : 
	m_pMessengerActor(pMessengerActor)
{	
	//CGTNormLog  log(__FUNCTION__);

	m_pMessengerActor->RetainObject();
}

CBuddyGroup::~CBuddyGroup(void)
{
	//CGTNormLog log(_T("CBuddyGroup::~CBuddyGroup : %d=>%s"), m_sData.nID, m_sData.strName.c_str());

	m_pMessengerActor->ReleaseObject();
}


void CBuddyGroup::LoadData(const GT_BUDDY_GROUP_UPDATABLE_DATA &userdata)
{
	P_GT_BUDDY_GROUP_UPDATABLE_DATA sData;
	sData.Load(userdata);

	LoadData(sData);
}


void CBuddyGroup::LoadData(const P_GT_BUDDY_GROUP_UPDATABLE_DATA &userdata)
{
	m_sData.strName = userdata.strName;
}


bool CBuddyGroup::IsDefaultGroup(void) const
{
	if( m_pMessengerActor->GetDefaultGroupID() == m_sData.nID 
	 || 1 == m_sData.nID
	 || 1 == m_pMessengerActor->GetDefaultGroupID()
	 || !StringUtil::StrCompare(GT_GLOBAL->GetEnvironment().strDefaultBuddyGroupName.c_str(), m_sData.strName.c_str())
	  )
		return true;
	
	return false;
}
